<?php

register_service_status_dashlet();

function register_service_status_dashlet() {

    $dashlet_opts = array(
        DASHLET_NAME        => 'service_status',
        DASHLET_TYPE        => DASHLET_TYPE_CORE,
        DASHLET_SERVER_TYPE => SERVER_TYPE_XI | SERVER_TYPE_CORE,
        DASHLET_VERSION     => '1.0.0',
        DASHLET_DATE        => '02/08/2017',
        DASHLET_AUTHOR      => 'Nagios Enterprises',
        DASHLET_DESCRIPTION => _('View the status of a single service'),
        DASHLET_COPYRIGHT   => '&copy; 2017 Nagios Enterprises, LLC',
        DASHLET_HOMEPAGE    => 'www.nagios.com',
        DASHLET_LICENSE     => _('Nagios Software License'),
        DASHLET_PREVIEW     => get_dashlets_base_url() . 'service_status/service_status.png',
        DASHLET_LOAD_URL    => get_dashlets_base_url() . 'service_status/service_status.php',
        DASHLET_TITLE       => _('Service Status'),
        DASHLET_WIDTH       => 400,
        DASHLET_PARAMS      => 'get_dashlet_dependent_params',
        );

    register_dashlet($dashlet_opts);
}